/* Parent Section Styles */
.parent {
  height: 80.1rem;
  padding: 12.8rem 0;
}

.parent__inner {
  margin: 0 auto;
  padding: 0 30.9rem;
}

.parent__content {
  text-align: center;
}

.parent__message {
  text-align: left;
  background-color: #f8fafa;
  border-radius: 2rem;
  padding: 5.8rem 7.9rem;
  margin-bottom: 3.9rem;
}

.parent__title {
  position: relative;
  display: inline-flex;
  align-items: center;
  gap: 0.8rem;
  color: var(--color-primary-lighter);
  font-family: Noto Sans JP;
  font-weight: 700;
  font-size: 3.2rem;
  line-height: 1;
  text-align: center;
  margin-bottom: 2.6rem;
}

.parent__title::before {
  content: "";
  width: 1.8rem;
  height: 1.8rem;
  background-color: var(--color-primary-lighter);
  border-radius: 50%;
  flex-shrink: 0;
}

.parent__text p {
  color: var(--color-text-primary);
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2.2;
  text-align: left;
}

.parent__cta {
  height: 6rem;
  font-size: 2rem;
  padding: 0 3.8rem 0 3.9rem;
}

/* Responsive Design */
@media (max-width: 768px) {
  .parent {
    height: 99.4rem;
    padding: 12.1rem 0;
  }

  .parent__inner {
    padding: 0 1.5rem;
  }

  .parent__message {
    padding: 4rem 2rem 4rem 2.2rem;
    border-radius: 1.5rem;
    margin-bottom: 2.2rem;
  }

  .parent__title {
    font-size: 2.8rem;
    margin-bottom: 2.8rem;
    gap: 0.7rem;
  }

  .parent__title::before {
    width: 1.539rem;
    height: 1.539rem;
  }

  .parent__text p {
    font-size: 1.6rem;
    line-height: 2.19;
    font-weight: 500;
  }

  .parent__text {
    margin-bottom: 3rem;
  }

  .parent__cta {
    width: 29.2rem;
    padding: 0rem 3rem 0 3.9rem;
  }
}
